Robotics Service Bus - Feature #850
Global rsb.conf file
02/03/2012 03:14 PM - Anonymous

Status: Resolved Start date: 02/03/2012
Priority: Normal Due date:

Assignee: J. Moringen % Done: 100%
Category: Configuration Estimated time: 0.00 hour
Target version: 0.6

Description

There should be a global rsb.conf configuration file in addition to user-specific and application-specific files as well as environment

variables.

The file should be located in /etc/, possibly /etc/rsb/rsb.conf or something similar.

- C++ 0, no suitable implementation for MacOS
- Java (0), no suitable implementation for Windows, MacOS
- Common Lisp 0, no suitable implementation for MacOS

Python (0), no suitable implementation for MacOS

Associated revisions

Revision 1b818ceb - 02/05/2012 11:27 PM - J. Moringen
Try /etc/rsb.conf in src/configuration.lisp
refs #850
- src/configuration.lisp (options-from-default-sources): try
/etc/rsb.conf

Revision d255de28 - 02/29/2012 06:51 PM - J. Moringen
Added processing of system config file in src/rsb/ParticipantConfig.cpp
refs #850

- src/rsb/ParticipantConfig.cpp: try to process an rsb.conf file in

the directory returned by rsc::config::systemConfigDirectory

Revision f3315fb1 - 03/01/2012 02:25 PM - J. Moringen
Try to read /etc/rsb.conf in rsb/__init__.py
refs #850
- rsb/__init__.py: try to read configuration from global configuration
file /etc/rsb.conf

Revision bb9ee2ea - 03/01/2012 05:55 PM - J. Moringen
Try to read /etc/rsb.conf in src/rsb/util/Properties.java
fixes #850

- src/rsb/util/Properties.java: try to read /etc/rsb.conf; fixed

indentation

Revision 6f1d0bb2 - 03/01/2012 08:24 PM - J. Moringen
Added default-configuration-files in src/variables.lisp
refs #850
- src/variables.lisp (default-configuration-files): new variable;
list of default configuration file names
- src/configuration.lisp (options-from-default-sources): accept
keyword parameter config-files with default
“*default-configuration-files™'
- src/package.lisp (package rsb): added exported symbol
default-configuration-files

History

#1 - 02/03/2012 05:08 PM - J. Moringen
- Category set to Configuration

- Status changed from New to In Progress
- Assignee set to J. Moringen

- Target version set to 0.6

#2 - 02/03/2012 05:09 PM - J. Moringen

@Stefan: since you also suggested this, do you have any additional thoughts on this?

#3 - 02/03/2012 06:19 PM - S. Herbrechtsmeier

No, it doesn’t matter if it is under /etc/rsb.conf or /etc/rsb/rsb.conf.

If it will be only one file | would prefer /etc/rsb.conf.

#4 - 02/07/2012 05:16 PM - J. Moringen

- % Done changed from 0 to 20

#5 - 02/29/2012 06:52 PM - J. Moringen
- % Done changed from 20 to 50

#6 - 03/01/2012 03:47 PM - J. Moringen
- Description updated

- % Done changed from 50 to 70

#7 - 03/01/2012 05:55 PM - J. Moringen

- Status changed from In Progress to Resolved
- % Done changed from 70 to 100

Applied in changeset r3381.

#8 - 03/01/2012 08:23 PM - J. Moringen
- Description updated
